Scriptname _CNO_ArmorMonitor_PlayerAlias extends ReferenceAlias

Actor Property PlayerRef Auto

_CNO_MainScript Property MainScr Auto

Bool ProcessBusy = false
Bool ProcessPending = False

Event OnPlayerLoadGame()
	ProcessPlayerArmor()
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	ProcessPlayerArmor()
EndEvent

Event OnObjectUnEquipped(Form akBaseObject, ObjectReference akReference)
	ProcessPlayerArmor()
EndEvent

Event OnUpdate()
	StorageUtil.SetIntValue(none, "CNO_PlayerArmorProperties_InProcess", 1)
	StorageUtil.StringListClear(none, "CNO_PlayerArmorProperties_Type")
	StorageUtil.StringListClear(none, "CNO_PlayerArmorProperties_Style")
	StorageUtil.StringListClear(none, "CNO_PlayerArmorProperties_Cover_Temp")
	Int ItemIndex = PlayerRef.GetNumItems()
	While ItemIndex > 0
		ItemIndex -= 1
		Form TempForm = PlayerRef.GetNthForm(ItemIndex)
		if PlayerRef.IsEquipped(TempForm)
			Armor TempArmor = TempForm as Armor
			if StorageUtil.FormListHas(MainScr.StorageFormIns, "CNO_InstalledArmorList", TempArmor)
				if StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 0)
					String TempString = StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 0)
					StorageUtil.StringListAdd(none, "CNO_PlayerArmorProperties_Type", TempString)
				endif
				if StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 1)
					String TempString = StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 1)
					StorageUtil.StringListAdd(none, "CNO_PlayerArmorProperties_Style", TempString)
				endif
				if StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 2)
					String TempString = StorageUtil.StringListGet(none, "CNO_ArmorProperties_" + TempArmor, 2)
					StorageUtil.StringListAdd(none, "CNO_PlayerArmorProperties_Cover_Temp", TempString)
				endif
			else
				Debug.Trace("[CNO] - ArmMon_PlayerAlias - OnUpdate: " + TempArmor.GetName() + " not registered")
				if TempArmor.IsCuirass() || TempArmor.IsClothingBody()
					StorageUtil.StringListAdd(none, "CNO_PlayerArmorProperties_Cover_Temp", "Breast, Pussy, Butt")
				endif
			endif
		endif
	endwhile
	if ProcessPending
		ProcessPending = False
		RegisterForSingleUpdate(0.1)
	else
		StorageUtil.StringListClear(none, "CNO_PlayerArmorProperties_Cover")
		Int ArrayLength = StorageUtil.StringListCount(none, "CNO_PlayerArmorProperties_Cover_Temp")
		While ArrayLength > 0
			ArrayLength -= 1
			String TempString = StorageUtil.StringListGet(none, "CNO_PlayerArmorProperties_Cover_Temp", ArrayLength)
			String[] TempStringSplits = PapyrusUtil.StringSplit(TempString, ",")
			Int SplitArrayLength = TempStringSplits.Length
			While SplitArrayLength > 0
				SplitArrayLength -= 1
				StorageUtil.StringListAdd(none, "CNO_PlayerArmorProperties_Cover", TempStringSplits[SplitArrayLength], false)
;				Debug.Notification(TempStringSplits[SplitArrayLength])
			endwhile
		endwhile
		
		if StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Full)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Barely)")
			; pussy covered
			if StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Naked)")
				; no undies
			endif
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Skimpy)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Barely)")
			; pussy barely covered
			if StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Naked)")
				; no undies
			endif
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Visible)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Exposed)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Pussy(Open)")
			; pussy exposed
		endif
		
		if StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Full)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Buttocks)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Barely)")
			; butt covered
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Skimpy)")
			; butt barely covered
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Visible)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Exposed)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Butt(Open)")
			; pussy exposed
		endif
		
		if StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Full)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Part)")
			; Breast covered
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Barely)")
			; Breast barely covered
		elseif StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Visible)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Exposed)") || StorageUtil.StringListHas(none, "CNO_PlayerArmorProperties_Cover", "Breast(Open)")
			; Breast exposed
		endif
		
		StorageUtil.StringListClear(none, "CNO_PlayerArmorProperties_Cover_Temp")
		ProcessBusy = False
		StorageUtil.SetIntValue(none, "CNO_PlayerArmorProperties_InProcess", 0)
		; Testing
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "A", "1")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "A", "2")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "A", "3")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "A", "4")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "A", "5")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "B", "1")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "B", "2")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "B", "3")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "B", "4")
;		JsonUtil.StringListAdd("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg", "B", "5")
;		String[] tempstring = new string[4]
;		tempstring[0] = "AAA"
;		tempstring[1] = "AAAA"
;		tempstring[2] = "AAAAA"
;		tempstring[3] = "AAAAAA"
;		JsonUtil.SetPathStringArray("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg.json", ".A.1", tempstring)
;		JsonUtil.SetPathStringValue("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg.json", ".stringList.B.2", "BB")
;		JsonUtil.Save("Data/SKSE/Plugins/CNO/fghjdfhgjdhfg.json")
		
	endif
EndEvent

Function ProcessPlayerArmor()
	if ProcessBusy
		ProcessPending = True
	else
		ProcessBusy = True
		RegisterForSingleUpdate(0.1)
	endif
EndFunction