Scriptname _CNO_DetectionScript extends ActiveMagicEffect

_CNO_MCM Property Mcm Auto
_CNO_MainScript Property MainScr Auto

Event OnForceCheckOutfit()
	MainScr.CNO_Log("[CNO] - OnForceCheckOutfit")
	Self.Dispel()
EndEvent

Event OnEffectStart(Actor akTarget, Actor akCaster)
	RegisterForModEvent("ForceCheckOutfit", "OnForceCheckOutfit")
	if Mcm.InteriorOnly == False
		if StorageUtil.FormListHas(none, "CNO_CheckedActorList", akTarget)
			return
		endif
		ActorBase TempActorBase = akTarget.GetActorBase()
		Outfit TempOutfit = TempActorBase.GetOutfit()
		if TempOutfit == none
			TempOutfit = akTarget.GetLeveledActorBase().GetOutfit()
		endif
		if TempOutfit == none
			return
		endif
		MainScr.CNO_Log("[CNO] - OnEffectStart - " + akTarget.GetDisplayName() + " - " + akTarget.GetFormID() + " Outfit: " + TempOutfit.GetFormID())
		if StorageUtil.FormListFind(none, "CNO_CheckOutfitList_DW", TempOutfit) != -1
			Int OutfitIndex = StorageUtil.FormListFind(none, "CNO_CheckOutfitList_DW", TempOutfit)
;			if OutfitIndex >= 0 && OutfitIndex <= 7
;				if Mcm.BanditOutfitIndex_1 == -1 && Mcm.BanditOutfitIndex_2 == -1 && Mcm.BanditOutfitIndex_3 == -1 && Mcm.BanditOutfitIndex_4 == -1 && Mcm.BanditOutfitIndex_5 == -1
;					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit", akTarget)
;						return
;					else
;						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit")
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
;						if !MainScr.UpdateBusy
;							MainScr.RegisterForSingleUpdate(0.5)
;						endif
;						return
;					endif
;				else
;					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit")
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				endif
			if OutfitIndex == 0 || OutfitIndex == 5 							; Bandit Cloth
				if Mcm.Bandit_Magic_OutfitIndex_1 == -1 && Mcm.Bandit_Magic_OutfitIndex_2 == -1 && Mcm.Bandit_Magic_OutfitIndex_3 == -1 && Mcm.Bandit_Magic_OutfitIndex_4 == -1 && Mcm.Bandit_Magic_OutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit_Magic", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Magic", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Magic")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Magic")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Magic", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Magic")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Magic")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 1 || OutfitIndex == 3 || OutfitIndex == 6 	; Bandit Light
				if Mcm.Bandit_Melee_OutfitIndex_1 == -1 && Mcm.Bandit_Melee_OutfitIndex_2 == -1 && Mcm.Bandit_Melee_OutfitIndex_3 == -1 && Mcm.Bandit_Melee_OutfitIndex_4 == -1 && Mcm.Bandit_Melee_OutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit_Melee", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Melee", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Melee")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Melee")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Melee", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Melee")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Melee")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 2 || OutfitIndex == 4							; Bandit heavy
				if Mcm.Bandit_Tank_OutfitIndex_1 == -1 && Mcm.Bandit_Tank_OutfitIndex_2 == -1 && Mcm.Bandit_Tank_OutfitIndex_3 == -1 && Mcm.Bandit_Tank_OutfitIndex_4 == -1 && Mcm.Bandit_Tank_OutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit_Tank", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Tank", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Tank")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Tank")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Tank", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Tank")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Tank")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 7
				if Mcm.Bandit_Ranged_OutfitIndex_1 == -1 && Mcm.Bandit_Ranged_OutfitIndex_2 == -1 && Mcm.Bandit_Ranged_OutfitIndex_3 == -1 && Mcm.Bandit_Ranged_OutfitIndex_4 == -1 && Mcm.Bandit_Ranged_OutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit_Ranged", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Ranged", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Ranged")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Ranged")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit_Ranged", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit_Ranged")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandit_Ranged")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 8 && OutfitIndex <= 10
				if Mcm.ImperialOutfitIndex_1 == -1 && Mcm.ImperialOutfitIndex_2 == -1 && Mcm.ImperialOutfitIndex_3 == -1 && Mcm.ImperialOutfitIndex_4 == -1 && Mcm.ImperialOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Imperial", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Imperial")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Imperial")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 11 && OutfitIndex <= 13 ; forsworn
				if Mcm.ForswornOutfitIndex_1 == -1 && Mcm.ForswornOutfitIndex_2 == -1 && Mcm.ForswornOutfitIndex_3 == -1 && Mcm.ForswornOutfitIndex_4 == -1 && Mcm.ForswornOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Forsworn", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Forsworn")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Forsworn")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 14 && OutfitIndex <= 16 ; vampire
				if Mcm.VampireOutfitIndex_1 == -1 && Mcm.VampireOutfitIndex_2 == -1 && Mcm.VampireOutfitIndex_3 == -1 && Mcm.VampireOutfitIndex_4 == -1 && Mcm.VampireOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Vampire", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Vampire")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Vampire")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Vampire")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Vampire")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 17 && OutfitIndex <= 19 ; stormcloak
				if Mcm.StormcloakOutfitIndex_1 == -1 && Mcm.StormcloakOutfitIndex_2 == -1 && Mcm.StormcloakOutfitIndex_3 == -1 && Mcm.StormcloakOutfitIndex_4 == -1 && Mcm.StormcloakOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Stormcloak", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Stormcloak")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Stormcloak")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
		elseif Mcm.PostSpawnedWenches && StorageUtil.FormListFind(none, "CNO_CheckOutfitList_Wench", TempOutfit) != -1
			Int OutfitIndex = StorageUtil.FormListFind(none, "CNO_CheckOutfitList_Wench", TempOutfit)
			if OutfitIndex == 0
				if Mcm.LalaBarkeepOutfitIndex_1 == -1 && Mcm.LalaBarkeepOutfitIndex_1 == -1 && Mcm.LalaBarkeepOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaBarkeep", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaBarkeep", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaBarkeep")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaBarkeeps")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaBarkeep", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaBarkeep")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaBarkeeps")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 1
				if Mcm.LalaHeavyOutfitIndex_1 == -1 && Mcm.LalaHeavyOutfitIndex_1 == -1 && Mcm.LalaHeavyOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaHeavy", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaHeavy", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaHeavy")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaHeavys")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaHeavy", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaHeavy")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaHeavys")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 2
				if Mcm.LalaLightOutfitIndex_1 == -1 && Mcm.LalaLightOutfitIndex_1 == -1 && Mcm.LalaLightOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaLight", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaLight", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaLight")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaLights")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaLight", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaLight")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaLights")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 3
				if Mcm.LalaMediumOutfitIndex_1 == -1 && Mcm.LalaMediumOutfitIndex_1 == -1 && Mcm.LalaMediumOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaMedium", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaMedium", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaMedium")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaMediums")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaMedium", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaMedium")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaMediums")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 4
				if Mcm.LalaTavernOutfitIndex_1 == -1 && Mcm.LalaTavernOutfitIndex_1 == -1 && Mcm.LalaTavernOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaTavern", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaTavern", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaTavern")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaTaverns")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaTavern", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaTavern")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaTaverns")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex == 5
				if Mcm.LalaVampireOutfitIndex_1 == -1 && Mcm.LalaVampireOutfitIndex_1 == -1 && Mcm.LalaVampireOutfitIndex_1 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_LalaVampire", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaVampire", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaVampire")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaVampires")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_LalaVampire", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: LalaVampire")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Wench", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "LalaVampires")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
			
		elseif StorageUtil.IntListFind(none, "CNO_RegisteringNPCBaseID", TempActorBase.GetFormID()) != -1
			if StorageUtil.FormListHas(none, "CNO_SavedActors_ExternalNPC", TempActorBase)
				return
			endif
			StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
			StorageUtil.FormListAdd(none, "CNO_SavedActors_ExternalNPC", TempActorBase, false)
			StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
			StorageUtil.SetIntValue(none, "CNO_ScheduledActorBaseID_" + akTarget, TempActorBase.GetFormID())
			StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "ExternalNPC")
			StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.DummyOutfit)
			if !MainScr.UpdateBusy
				MainScr.RegisterForSingleUpdate(0.5)
			endif
			return
		elseif Mcm.PostSpawnedResidents
			if !StorageUtil.FormListHas(none, "CNO_SavedActors_Residents", akTarget) || Mcm.ForceCheckOutfit
				TempOutfit = akTarget.GetActorBase().GetOutfit()
				Int OutfitIndex = StorageUtil.FormListFind(none, "CNO_CheckOutfitList_Residents", TempOutfit)
				if OutfitIndex == -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - -1 - OutfitID: " + TempOutfit.GetFormID())
					return
				elseif OutfitIndex == 0
					if Mcm.RESBlacksmithOutfitIndex_1 == -1 && Mcm.RESBlacksmithOutfitIndex_2 == -1 && Mcm.RESBlacksmithOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESBlacksmith", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBlacksmith", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 131")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBlacksmith")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBlacksmith", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 131")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBlacksmith")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 1
					if Mcm.RESCourtWizardOutfitIndex_1 == -1 && Mcm.RESCourtWizardOutfitIndex_2 == -1 && Mcm.RESCourtWizardOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESCourtWizard", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 141")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESCourtWizard", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESCourtWizard")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 141")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESCourtWizard", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESCourtWizard")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 2
					if Mcm.RESFarmOutfitIndex_1 == -1 && Mcm.RESFarmOutfitIndex_2 == -1 && Mcm.RESFarmOutfitIndex_3 == -1 && Mcm.RESFarmOutfitIndex_4 == -1 && Mcm.RESFarmOutfitIndex_5 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESFarm", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 151")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFarm", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFarm")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 151")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFarm", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFarm")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 3
					if Mcm.RESFineOutfitIndex_1 == -1 && Mcm.RESFineOutfitIndex_2 == -1 && Mcm.RESFineOutfitIndex_3 == -1 && Mcm.RESFineOutfitIndex_4 == -1 && Mcm.RESFineOutfitIndex_5 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESFine", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 161")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFine", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFine")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 161")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFine", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFine")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 4
					if Mcm.RESMerchantOutfitIndex_1 == -1 && Mcm.RESMerchantOutfitIndex_2 == -1 && Mcm.RESMerchantOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMerchant", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 171")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMerchant", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMerchant")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 171")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMerchant", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMerchant")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 5
					if Mcm.RESMinerOutfitIndex_1 == -1 && Mcm.RESMinerOutfitIndex_2 == -1 && Mcm.RESMinerOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMiner", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 181")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMiner", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMiner")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 181")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMiner", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMiner")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 6
					if Mcm.RESMonkOutfitIndex_1 == -1 && Mcm.RESMonkOutfitIndex_2 == -1 && Mcm.RESMonkOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMonk", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 191")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMonk", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMonk")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 191")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMonk", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMonk")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 7
					if Mcm.RESBarkeepOutfitIndex_1 == -1 && Mcm.RESBarkeepOutfitIndex_2 == -1 && Mcm.RESBarkeepOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESBarkeep", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 201")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBarkeep", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBarkeep")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 201")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBarkeep", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_Residents", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBarkeep")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				endif
			endif
		else
		;;;
		endif
	endif
EndEvent